Get property by id
GET
/api/properties/{id}
const url = 'https://api.getvespy.com/api/properties/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/properties/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
notes
required
Array<object>
object
body
required
string
createdAt
required
string format: date-time
createdByUser
required
object
fullName
required
string
id
required
string format: uuid
createdByUserId
required
string format: uuid
entityId
required
string format: uuid
entityType
required
string
id
required
string format: uuid
visibility
required
string
property
required
object
city
required
string
createdAt
required
string format: date-time
id
required
string format: uuid
name
required
string
occupiedUnits
required
integer
openWorkOrderCount
integer
overduePostedRentCents
integer
ownerIds
required
Array<string>
postalCode
required
string
relations
object
owners
required
Array<object>
object
fullName
required
string
id
required
string format: uuid
state
required
string
streetLine1
required
string
streetLine2
required
string
units
required
integer
Example
{ "notes": [ { "entityType": "property", "visibility": "organization_only" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}